from SystemUpdater.configs import settings
from SystemUpdater.Core.errors import *
from SystemUpdater.Core.enums import *

def get_last_deploy_result():
    status = INSTALL_DEFAULT_FLAG
    # 新版本兼容获取更新历史
    history = settings.get("history",[])
    first_item = next(iter(history), {})
    if first_item and not first_item.get("has_read",True):
        # 前端没有读取时 返回状态
        if first_item.get("success",True):
            status = INSTALL_SUCCESS_FLAG
        else:
            status = first_item.get("error",None)
            if status is None:
                status = ""
        # 标识 前端已经读取状态
        first_item["has_read"] = True
        settings.save()

    # 旧版本兼容，当history为空时，使用status
    if not first_item and settings.get("status",INSTALL_DEFAULT_FLAG) != INSTALL_DEFAULT_FLAG:
        status = settings.get("status")
    
    return status